AirtestProject 【更新公告】AirtestIDE 更新至 1.2.14 版本

fishfish-yu · 2022年06月07日 · 最后由 hakaboom 回复于 2022年06月07日 · 5473 次阅读

此文章来源于项目官方公众号:“AirtestProject”
版权声明:允许转载,但转载必须保留原链接;请勿用作商业或者非法用途

1. 前言

本次更新为 AirtestIDE 更新,版本提升至 1.2.14,对 iOS 有了更好的支持,能够以更快的速度查看 iOS 屏幕,并且以更快的速度点击和滑动屏幕。

2. 新功能

1.2.14 版本的 AirtestIDE,内置 python 环境的 Airtest 版本提升至 1.2.6,pocoui 提升至 1.0.87。

Airtest 和 pocoui 的更多改动细节,可以参考我们上一期的推文【更新公告】Airtest 更新至 1.2.6 版本

想要获得 iOS 更好体验的同学,需要在 iOS 设备上更新并部署我们的 iOS-tagent 项目:

但 1.2.14 版本的 IDE,依然支持 Appium/WebDriverAgent 项目,只是点击速度不如 iOS-Tagent 项目。

3. bug 修复

① 修复了一个 Android 录屏时没有完全释放系统资源的 BUG,该问题可能会导致内存溢出;

② 优化了 mstpl 的识别效果;

③ 修复了 Android 10 以上版本可能点击失败问题。

4. 如何更新

1)覆盖更新

打开 AirtestIDE 时,如收到下述的更新提示,可以直接选择点击左下角的【更新】按钮来完成覆盖更新:

特别注意:更新过程切勿中断,如覆盖更新时因为某些异常中断,可能导致覆盖更新失败,无法正常打开 AirtestIDE。

此时我们可以卸载掉更新失败的 AirtestIDE,然后到官网上下载最新版。

另外覆盖更新之前,请检查是否将脚本保存到了 AirtestIDE 的文件路径内,如有请备份脚本后再进行覆盖更新,否则进行 覆盖更新操作后也会覆盖掉保存在 AirtestIDE 路径下的脚本

2)到官网上下载最新版本

官网下载地址:https://airtest.netease.com/home/index.html

3)本地 Python 环境库更新

如需把本地 Python 环境的库更新至与 1.2.14 一样的环境,可以使用如下命令:

# airtest最新版为1.2.6
pip install -U airtest

# pocoui最新版为1.0.87
pip install -U pocoui

5. 更新的常见问题说明

1)覆盖更新失败

如果同学们在覆盖更新的时候,不能正确更新的话,可以删掉这个目录下的所有内容,再重新检查更新并执行更新操作:

C:\Users\xxx\AppData\Local\AirtestIDE\AirtestIDE

或者直接到我们官网上下载一个最新的版本。

2)旧版没问题,更新后出现 xxx 问题

如果同学们遇到,旧版使用没问题,但更新后出现 xxx 问题的情况,请务必给出详细的信息向我们提问:

  • 旧版本信息(IDE 版本,是否使用本地 python 环境,若使用本地安装的 airtest 和 pocoui 版本如何)
  • 新版本信息(IDE 版本,是否使用本地 python 环境,若使用本地安装的 airtest 和 pocoui 版本如何)
  • 进行了怎么样的操作/运行了怎么样的代码
  • 旧版表现如何,新版表现如何(如出现报错,请提供完整的报错信息)

如无法提供上述详细信息,开发者将可能很难帮助同学们查到问题所在。

3)向开发组提单

其他关于新版使用过程的任何问题/建议,都可以向我们的开发组提单:https://airtest.netease.com/issue_create 。(提单时标题备注 1.2.14 版本 IDE 可以让开发者快速定位)


Airtest 官网https://airtest.netease.com/
Airtest 教程官网https://airtest.doc.io.netease.com/
搭建企业私有云服务https://airlab.163.com/b2b

官方答疑 Q 群:117973773

呀~这么认真都看到这里啦,帮忙点击左下角的爱心,给我点个赞支持一下把,灰常感谢~

共收到 1 条回复 时间 点赞

😂 啥时候整整我给 airtest 提的 pr

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册